@/etc/bacula/clients/director-client.conf
@/etc/bacula/clients/zinc-client.conf

@/etc/bacula/users/caleb.user.conf
@/etc/bacula/users/evelynn.user.conf
@/etc/bacula/users/mark.user.conf
@/etc/bacula/users/joe.user.conf
@/etc/bacula/users/michael.user.conf
@/etc/bacula/users/matthew.user.conf
@/etc/bacula/users/chris.user.conf
@/etc/bacula/users/christina.user.conf
@/etc/bacula/users/julio.user.conf
@/etc/bacula/users/aidan.user.conf
@/etc/bacula/users/firebn.user.conf
@/etc/bacula/users/travis.user.conf
@/etc/bacula/users/zach.user.conf

@/etc/bacula/other/system.conf
@/etc/bacula/other/archive.conf

@/etc/bacula/schedules.conf
@/etc/bacula/pools.conf

Director {                            # define myself
  Name = bacula-dir
  DIRport = 9101                # where we listen for UA connections
  QueryFile = "/etc/bacula/scripts/query.sql"
  WorkingDirectory = "/var/lib/bacula"
  PidDirectory = "/run/bacula"
  Scripts Directory = "/etc/bacula/python-scripts" # This is the directory we will store python scrirpts
  Maximum Concurrent Jobs = 10
  Password = "iamnotacrook"         # Console password
  Messages = JoesMail
  DirAddress = 10.85.3.30
}
 
Catalog {
  Name      = MyCatalog
  dbname    = bacula
  dbaddress = localhost
  dbuser      = bacula
  dbpassword  = "iamnotacrook"
}
 
Autochanger {             # New resource
  Name = Iron-Autochanger
  Address = 10.85.3.34
  SDPort = 9103
  Password = "iamnotacrook"
  Device = Drive-1-LTO-3, Drive-0-LTO-3
  Media Type = LTO-3
  Maximum Concurrent Jobs = 2
}

Storage { # Can have multiple of these per autochanger
  Name = Drive-0-LTO-3
  Address = 10.85.3.34
  SDPort = 9103
  Password = "iamnotacrook"
  Device = Drive-0-LTO-3
  Media Type = LTO-3
  Maximum Concurrent Jobs = 1
  Autochanger = Iron-Autochanger  # New directive
}

Storage { # Can have multiple of these per autochanger
  Name = Drive-1-LTO-3
  Address = 10.85.3.34
  SDPort = 9103
  Password = "iamnotacrook"
  Device = Drive-1-LTO-3
  Media Type = LTO-3
  Maximum Concurrent Jobs = 1
  Autochanger = Iron-Autochanger  # New directive
}

# Maintiance
Job {	# Restore job
  Name = "RestoreFiles"
  Type = Restore
  Client = Zinc-Client
  FileSet = "Catalog"
  Storage = Iron-Autochanger
  Where = /mnt/Restore
  Messages = JoesMail
  Pool = Full-Pool
}

Job { # This job should release the tape once finished
  Name = "Release Tape"
  Type = Admin
  Run Script {
    Runs When = Before
	Runs on Client = No
	Command = "/etc/bacula/scripts/release_tape.sh"
  }
  Schedule = AdminTwoDays
  Priority = 25
  Messages = JoesMail
  Pool = Full-Pool
  Client = Zinc-Client
  FileSet = "Catalog"
}













